Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# osclconfig_check.h

Go to the documentation of this file.

    00001
    00002 #ifndef OSCLCONFIG_CHECK_H_INCLUDED
    00003 #define OSCLCONFIG_CHECK_H_INCLUDED
    00004
    00014 typedef int8 __int8__check__;
    00015 typedef uint8 __uint8__check__;
    00016 typedef int16 __int16__check__;
    00017 typedef uint16 __uint16__check__;
    00018 typedef int32 __int32__check__;
    00019 typedef uint32 __uint32__check__;
    00020
    00026 #ifndef OSCL_ASSERT_ALWAYS
    00027 #error "ERROR: OSCL_ASSERT_ALWAYS has to be defined to either 1 or 0."
    00028 #endif
    00029
    00030
    00036 #ifndef OSCL_DISABLE_INLINES
    00037 #error "ERROR: OSCL_DISABLE_INLINES has to be defined to either 1 or 0."
    00038 #endif
    00039
    00045 #ifndef OSCL_HAS_ANSI_STDLIB_SUPPORT
    00046 #error "ERROR: OSCL_HAS_ANSI_STDLIB_SUPPORT has to be defined to either 1 or 0."
    00047 #endif
    00048
    00054 #ifndef OSCL_HAS_ANSI_STDIO_SUPPORT
    00055 #error "ERROR: OSCL_HAS_ANSI_STDIO_SUPPORT has to be defined to either 1 or 0."
    00056 #endif
    00057
    00063 #ifndef OSCL_HAS_ANSI_STRING_SUPPORT
    00064 #error "ERROR: OSCL_HAS_ANSI_STRING_SUPPORT has to be defined to either 1 or 0."
    00065 #endif
    00066
    00072 #ifndef OSCL_HAS_UNICODE_SUPPORT
    00073 #error "ERROR: OSCL_HAS_UNICODE_SUPPORT has to be defined to either 1 or 0."
    00074 #endif
    00075
    00082 #ifndef _STRLIT
    00083 #error "ERROR: _STRLIT has to be defined."
    00084 #endif
    00085
    00092 #ifndef _STRLIT_CHAR
    00093 #error "ERROR: _STRLIT_CHAR has to be defined."
    00094 #endif
    00095
    00103 #if (OSCL_HAS_UNICODE_SUPPORT) && !defined(_STRLIT_WCHAR)
    00104 #error "ERROR: _STRLIT_WCHAR has to be defined"
    00105 #endif
    00106
    00113 #if (OSCL_HAS_UNICODE_SUPPORT) && !defined(OSCL_NATIVE_WCHAR_TYPE)
    00114 #error "ERROR: OSCL_NATIVE_WCHAR_TYPE has to be defined."
    00115 #endif
    00116
    00122 #ifndef OSCL_HAS_MSWIN_SUPPORT
    00123 #error "ERROR: OSCL_HAS_MSWIN_SUPPORT has to be defined to either 1 or 0"
    00124 #endif
    00125
    00131 #ifndef OSCL_HAS_MSWIN_PARTIAL_SUPPORT
    00132 #error "ERROR: OSCL_HAS_MSWIN_PARTIAL_SUPPORT has to be defined to either 1 or 0"
    00133 #endif
    00134
    00140 #ifndef OSCL_HAS_UNIX_SUPPORT
    00141 #error "ERROR: OSCL_HAS_UNIX_SUPPORT has to be defined to either 1 or 0."
    00142 #endif
    00143
    00149 #ifndef OSCL_HAS_SYMBIAN_SUPPORT
    00150 #error "ERROR: OSCL_HAS_SYMBIAN_SUPPORT has to be defined to either 1 or 0"
    00151 #endif
    00152
    00158 #ifndef OSCL_HAS_ANDROID_SUPPORT
    00159 #error "ERROR: OSCL_HAS_ANDROID_SUPPORT has to be defined to either 1 or 0"
    00160 #endif
    00161
    00167 #ifndef OSCL_HAS_IPHONE_SUPPORT
    00168 #error "ERROR: OSCL_HAS_IPHONE_SUPPORT has to be defined to either 1 or 0"
    00169 #endif
    00170
    00176 #ifndef OSCL_INTEGERS_WORD_ALIGNED
    00177 #error "ERROR: OSCL_INTEGERS_WORD_ALIGNED has to be defined to either 1 or 0."
    00178 #endif
    00179
    00185 #ifndef OSCL_BYTE_ORDER_BIG_ENDIAN
    00186 #error "ERROR: OSCL_BYTE_ORDER_BIG_ENDIAN has to be defined to either 1 or 0."
    00187 #endif
    00188
    00194 #ifndef OSCL_BYTE_ORDER_LITTLE_ENDIAN
    00195 #error "ERROR: OSCL_BYTE_ORDER_LITTLE_ENDIAN has to be defined to either 1 or 0."
    00196 #endif
    00197
    00202 #if !(OSCL_BYTE_ORDER_BIG_ENDIAN) && !(OSCL_BYTE_ORDER_LITTLE_ENDIAN)
    00203 #error "ERROR: either OSCL_BYTE_ORDER_LITTLE_ENDIAN or else OSCL_BYTE_ORDER_BIG_ENDIAN must be 1."
    00204 #endif
    00205 #if (OSCL_BYTE_ORDER_BIG_ENDIAN) && (OSCL_BYTE_ORDER_LITTLE_ENDIAN)
    00206 #error "ERROR: either OSCL_BYTE_ORDER_LITTLE_ENDIAN or else OSCL_BYTE_ORDER_BIG_ENDIAN must be 1."
    00207 #endif
    00208
    00214 #ifndef OSCL_HAS_GLOBAL_VARIABLE_SUPPORT
    00215 #error "ERROR: OSCL_HAS_GLOBAL_VARIABLE_SUPPORT has to be defined to either 1 or 0."
    00216 #endif
    00217
    00221 #if (OSCL_BYTE_ORDER_LITTLE_ENDIAN) && (OSCL_BYTE_ORDER_BIG_ENDIAN)
    00222 #error "ERROR: Multiple selection for OSCL_BYTE_ORDER."
    00223 #endif
    00224
    00230 #ifndef OSCL_HAS_ANSI_STRING_SUPPORT
    00231 #error "ERROR: OSCL_HAS_ANSI_STRING_SUPPORT has to be defined to either 1 or 0."
    00232 #endif
    00233
    00238 #ifndef OSCL_NATIVE_INT64_TYPE
    00239 #error "ERROR: OSCL_NATIVE_INT64_TYPE has to be defined."
    00240 #endif
    00241
    00246 #ifndef OSCL_NATIVE_UINT64_TYPE
    00247 #error "ERROR: OSCL_NATIVE_UINT64_TYPE has to be defined."
    00248 #endif
    00249
    00254 #ifndef INT64
    00255 #error "ERROR: INT64(x) has to be defined."
    00256 #endif
    00257
    00262 #ifndef UINT64
    00263 #error "ERROR: UINT64(x) has to be defined."
    00264 #endif
    00265
    00270 #ifndef INT64_HILO
    00271 #error "ERROR: INT64_HILO(high,low) has to be defined."
    00272 #endif
    00273
    00278 #ifndef UINT64_HILO
    00279 #error "ERROR: UINT64_HILO(high,low) has to be defined."
    00280 #endif
    00281
    00288 #ifndef OSCL_MEMFRAG_PTR_BEFORE_LEN
    00289 #error "ERROR: OSCL_MEMFRAG_PTR_BEFORE_LEN has to be defined to either 0 or 1"
    00290 #endif
    00291
    00297 #ifndef OSCL_HAS_TLS_SUPPORT
    00298 #error "ERROR: OSCL_HAS_TLS_SUPPORT has to be defined to either 1 or 0"
    00299 #endif
    00300
    00308 #ifndef OSCL_TLS_IS_KEYED
    00309 #error "ERROR: OSCL_TLS_IS_KEYED has to be defined to either 1 or 0"
    00310 #endif
    00311
    00312
    00319 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_STORE_FUNC)
    00320 #error "ERROR: OSCL_TLS_STORE_FUNC has to be defined"
    00321 #endif
    00322
    00329 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_GET_FUNC)
    00330 #error "ERROR: OSCL_TLS_GET_FUNC has to be defined"
    00331 #endif
    00332
    00339 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_KEY_CREATE_FUNC)
    00340 #error "ERROR: OSCL_TLS_KEY_CREATE_FUNC has to be defined"
    00341 #endif
    00342
    00349 #if (OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_KEY_DELETE_FUNC)
    00350 #error "ERROR: OSCL_TLS_KEY_DELETE_FUNC has to be defined"
    00351 #endif
    00352
    00353
    00360 #if (OSCL_HAS_TLS_SUPPORT) && !(OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_STORE_FUNC)
    00361 #error "ERROR: OSCL_TLS_STORE_FUNC has to be defined"
    00362 #endif
    00363
    00369 #if (OSCL_HAS_TLS_SUPPORT) && !(OSCL_TLS_IS_KEYED) && !defined(OSCL_TLS_GET_FUNC)
    00370 #error "ERROR: OSCL_TLS_GET_FUNC has to be defined"
    00371 #endif
    00372
    00376 #if !defined(OSCL_HAS_BASIC_LOCK )
    00377 #error "ERROR: OSCL_HAS_BASIC_LOCK must be defined to 0 or 1"
    00378 #endif
    00379
    00380
    00390 #if (OSCL_HAS_BASIC_LOCK) && !defined(TOsclBasicLockObject)
    00391 typedef TOsclBasicLockObject __verify__TOsclBasicLockObject__defined__;
    00392 #endif
    00393
    00398 #ifndef OSCL_HAS_PRAGMA_PACK
    00399 #error "ERROR: OSCL_HAS_PRAGMA_PACK must be defined to 0 or 1"
    00400 #endif
    00401
    00404 #endif // OSCLCONFIG_CHECK_H_INCLUDED
    00405
    00406